%global _pkgdocdir %{_docdir}/%{name}-%{version}

Name:           libXaw
Version:        1.0.15
Release:        1
License:        MIT
Summary:        X Athena Widget Set
URL:            https://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.gz
BuildRequires:  autoconf automake libtool xorg-x11-proto-devel libX11-devel libXt-devel
BuildRequires:  libXmu-devel libXpm-devel libXext-devel xorg-x11-util-macros xmlto lynx

%description
Xaw is a widget set based on the X Toolkit Intrinsics (Xt) Library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig xorg-x11-proto-devel libXmu-devel libXt-devel libXpm-devel

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
export CFLAGS="$RPM_OPT_FLAGS -Os"
%configure --docdir=%{_pkgdocdir} --disable-xaw8 --disable-xaw6 --without-fop --without-xmlto
%make_build

%install
%make_install INSTALL="install -p"
install -pm 644 README.md ChangeLog $RPM_BUILD_ROOT%{_pkgdocdir}
%delete_la_and_a

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*

%files          devel
%defattr(-,root,root)
%{_includedir}/X11/Xaw/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files          help
%defattr(-,root,root)
%{_pkgdocdir}/ChangeLog
%{_pkgdocdir}/README.md
%{_pkgdocdir}/*.xml
%{_mandir}/man3/*.3*


%changelog
* Thu Jul 20 2023 zhangpan <zhangpan103@h-partners.com> - 1.0.15-1
- update to 1.0.15

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.0.14-2
- Rebuild for next release

* Fri Nov 26 2021 dongyuzhen <dongyuzhen@huawei.com> - 1.0.14-1
- update to 1.0.14

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.13-13
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.13-12
- Package init
